> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all internal testimonials

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/internal_testimonials/

Return a list with Internal Testimonial details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/testimonials/internal/get-all-internal-testimonials

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

## Response

### 200

Successful operation

- `list of TestimonialSerializerReader`

## Errors

### 404 Not Found Error

Internal Testimonial not found

- `any`

## Types

### TestimonialSerializerReader

- `authorName` (string, required)
- `position` (string, required)
- `companyName` (string, required)
- `testimonialText` (string, required)
- `id` (string, required)
- `order` (integer, optional)

## Examples

**Response**

```json
[
  {
    "0": {
      "author_name": "John Doe",
      "company_name": "Company Inc.",
      "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
      "position": "Project Manager",
      "testimonial_text": "This is a great internal testimonial"
    },
    "authorName": "string",
    "position": "string",
    "companyName": "string",
    "testimonialText": "string",
    "id": "string"
  }
]
```

**SDK Code**

```python Example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_testimonials/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_testimonials/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```